classification
Title: Minor improvement to os.system doc
Type: Stage: patch review
Components: Documentation Versions: Python 3.1, Python 3.2, Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: docs@python Nosy List: Val, docs@python, eric.araujo, georg.brandl, sandro.tosi
Priority: normal Keywords: patch

Created on 2010-01-06 02:46 by Val, last changed 2010-10-14 06:44 by sandro.tosi. This issue is now closed.

Files
File name Uploaded Description Edit
osdoc.patch Val, 2010-01-06 02:46 patch of os doc
issue7642.patch sandro.tosi, 2010-10-08 17:56
Messages (6)
msg97294 - (view) Author: Valentín (Val) Date: 2010-01-06 02:46
Just added (maybe could be redundant but provides more info) that os.system is behaving in the samme manner in Vista and Windows 7.

Also providing the info that os.system always gives the output in python command line (not to be used to retrieve output from a command, there are better libraries already informed to users at the documentation of os.system).

No big deal... just a small help.
msg99387 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2010-02-16 05:26
Hello

I don’t understand “The output results of the command will be shown in python command line”. Are you saying that the output of the command will be sent to the interpreter standard output stream?

Note: please reflow your paragraphs to stay under the maximum line length.

Regards
msg118208 - (view) Author: Sandro Tosi (sandro.tosi) * (Python committer) Date: 2010-10-08 17:56
Hello,
I took the freedom to refresh this patch, clarifying the first Val's addition (as requested by Éric) and reformat the whole system() section to wrap a column 80.

Regards,
Sandro
msg118236 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2010-10-08 23:29
Looks good.  (Before committing, one space should be changed to two spaces after a full stop in the first diff hunk.)
msg118620 - (view) Author: Georg Brandl (georg.brandl) * (Python committer) Date: 2010-10-14 06:36
Unfortunately, the rewrap makes it much more complicated to see what  the patch changes (i.e. the whole second part of the hunk only adds Windows versions).  Please leave that to the committer in the future.

Otherwise, committed in r85450; I also removed mention of the unsupported Win9x family.
msg118623 - (view) Author: Sandro Tosi (sandro.tosi) * (Python committer) Date: 2010-10-14 06:44
On Thu, Oct 14, 2010 at 08:36, Georg Brandl <report@bugs.python.org> wrote:
>
> Georg Brandl <georg@python.org> added the comment:
>
> Unfortunately, the rewrap makes it much more complicated to see what  the patch changes (i.e. the whole second part of the hunk only adds Windows versions).  Please leave that to the committer in the future.

Sorry about that :( I'll just leave a note on the tracker if the
changed paragraphs are in need of wrap (but I guess the committer
would notice anyhow ;) .

> Otherwise, committed in r85450; I also removed mention of the unsupported Win9x family.

Thanks!
History
Date User Action Args
2010-10-14 06:44:24sandro.tosisetmessages: + msg118623
2010-10-14 06:36:13georg.brandlsetstatus: open -> closed
resolution: fixed
messages: + msg118620
2010-10-08 23:29:20eric.araujosetassignee: georg.brandl -> docs@python

title: [patch] Minor improvement in os.system doc -> Minor improvement to os.system doc
nosy: + docs@python
versions: + Python 3.1, Python 2.7
messages: + msg118236
stage: patch review
2010-10-08 17:57:48sandro.tosisetversions: + Python 3.2, - Python 2.6, Python 2.7
2010-10-08 17:56:26sandro.tosisetfiles: + issue7642.patch
nosy: + sandro.tosi
messages: + msg118208

2010-02-16 05:26:01eric.araujosetnosy: + eric.araujo
messages: + msg99387
2010-01-06 02:46:29Valcreate